org.springframework.jms.connection

## Interface SessionProxy

All Superinterfaces:
  AutoCloseable, Runnable, Session

    public interface SessionProxy
    extends Session

Subinterface of `Session` to be implemented by Session proxies. Allows access to the underlying target Session.

Since:
  2.0.4
Author:
  Juergen Hoeller
See Also:
  `TransactionAwareConnectionFactoryProxy`, `CachingConnectionFactory`, `ConnectionFactoryUtils.getTargetSession(javax.jms.Session)`

### Field Summary

### Fields inherited from interface javax.jms.Session

`AUTO_ACKNOWLEDGE, CLIENT_ACKNOWLEDGE, DUPS_OK_ACKNOWLEDGE, SESSION_TRANSACTED`

### Method Summary

All Methods Instance Methods Abstract Methods
`Session` `getTargetSession()` Return the target Session of this proxy.

### Methods inherited from interface javax.jms.Session

`close, commit, createBrowser, createBrowser, createBytesMessage, createConsumer, createConsumer, createConsumer, createDurableConsumer, createDurableConsumer, createDurableSubscriber, createDurableSubscriber, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createQueue, createSharedConsumer, createSharedConsumer, createSharedDurableConsumer, createSharedDurableConsumer, createStreamMessage, createTemporaryQueue, createTemporaryTopic, createTextMessage, createTextMessage, createTopic, getAcknowledgeMode, getMessageListener, getTransacted, recover, rollback, run, setMessageListener, unsubscribe`

### Method Detail

#### getTargetSession

    Session getTargetSession()

Return the target Session of this proxy.

This will typically be the native provider Session or a wrapper from a session pool.

Returns:
  the underlying Session (never `null`)